## CamelVeeDataCache CamelVeeDataCache |

## Functions

void | (*CamelForeachInfoData) ()
CamelVeeSubfolderData * | camel_vee_subfolder_data_new ()
CamelFolder * | camel_vee_subfolder_data_get_folder ()
const gchar * | camel_vee_subfolder_data_get_folder_id ()
CamelVeeMessageInfoData * | camel_vee_message_info_data_new ()
CamelVeeSubfolderData * | camel_vee_message_info_data_get_subfolder_data ()
const gchar * | camel_vee_message_info_data_get_orig_message_uid ()
const gchar * | camel_vee_message_info_data_get_vee_message_uid ()
CamelVeeDataCache * | camel_vee_data_cache_new ()
void | camel_vee_data_cache_add_subfolder ()
void | camel_vee_data_cache_remove_subfolder ()
CamelVeeSubfolderData * | camel_vee_data_cache_get_subfolder_data ()
gboolean | camel_vee_data_cache_contains_message_info_data ()
CamelVeeMessageInfoData * | camel_vee_data_cache_get_message_info_data ()
CamelVeeMessageInfoData * | camel_vee_data_cache_get_message_info_data_by_vuid ()
void | camel_vee_data_cache_foreach_message_info_data ()
void | camel_vee_data_cache_remove_message_info_data ()

## Types and Values

struct | CamelVeeSubfolderData
struct | CamelVeeMessageInfoData
struct | CamelVeeDataCache

## Object Hierarchy

        GObject
        ├── CamelVeeDataCache
        ├── CamelVeeMessageInfoData
        ╰── CamelVeeSubfolderData

## Description

## Functions

### CamelForeachInfoData ()

    void
    (*CamelForeachInfoData) (CamelVeeMessageInfoData *mi_data,
                             CamelFolder *subfolder,
                             gpointer user_data);

### camel_vee_subfolder_data_new ()

    CamelVeeSubfolderData *
    camel_vee_subfolder_data_new (CamelFolder *folder);

FIXME Document me!

Since: 3.6

### camel_vee_subfolder_data_get_folder ()

    CamelFolder *
    camel_vee_subfolder_data_get_folder (CamelVeeSubfolderData *data);

FIXME Document me!

#### Returns

.

[transfer none]

Since: 3.6

### camel_vee_subfolder_data_get_folder_id ()

    const gchar *
    camel_vee_subfolder_data_get_folder_id
                                   (CamelVeeSubfolderData *data);

FIXME Document me!

Since: 3.6

### camel_vee_message_info_data_new ()

    CamelVeeMessageInfoData *
    camel_vee_message_info_data_new (CamelVeeSubfolderData *subfolder_data,
                                     const gchar *orig_message_uid);

FIXME Document me!

Since: 3.6

### camel_vee_message_info_data_get_subfolder_data ()

    CamelVeeSubfolderData *
    camel_vee_message_info_data_get_subfolder_data
                                   (CamelVeeMessageInfoData *data);

FIXME Document me!

#### Returns

.

[transfer none]

Since: 3.6

### camel_vee_message_info_data_get_orig_message_uid ()

    const gchar *
    camel_vee_message_info_data_get_orig_message_uid
                                   (CamelVeeMessageInfoData *data);

FIXME Document me!

Since: 3.6

### camel_vee_message_info_data_get_vee_message_uid ()

    const gchar *
    camel_vee_message_info_data_get_vee_message_uid
                                   (CamelVeeMessageInfoData *data);

FIXME Document me!

Since: 3.6

### camel_vee_data_cache_new ()

    CamelVeeDataCache *
    camel_vee_data_cache_new (void);

FIXME Document me!

Since: 3.6

### camel_vee_data_cache_add_subfolder ()

    void
    camel_vee_data_cache_add_subfolder (CamelVeeDataCache *data_cache,
                                        CamelFolder *subfolder);

FIXME Document me!

Since: 3.6

### camel_vee_data_cache_remove_subfolder ()

    void
    camel_vee_data_cache_remove_subfolder (CamelVeeDataCache *data_cache,
                                           CamelFolder *subfolder);

FIXME Document me!

Since: 3.6

### camel_vee_data_cache_get_subfolder_data ()

    CamelVeeSubfolderData *
    camel_vee_data_cache_get_subfolder_data
                                   (CamelVeeDataCache *data_cache,
                                    CamelFolder *folder);

FIXME Document me!

#### Returns

.

[transfer full]

Since: 3.6

### camel_vee_data_cache_contains_message_info_data ()

    gboolean
    camel_vee_data_cache_contains_message_info_data
                                   (CamelVeeDataCache *data_cache,
                                    CamelFolder *folder,
                                    const gchar *orig_message_uid);

Returns whether data_cache contains certain UID for certain folder; instead of `camel_vee_data_cache_get_message_info_data()` only returns FALSE if not, while `camel_vee_data_cache_get_message_info_data()` auto-adds it to data_cache.

Since: 3.6

### camel_vee_data_cache_get_message_info_data ()

    CamelVeeMessageInfoData *
    camel_vee_data_cache_get_message_info_data
                                   (CamelVeeDataCache *data_cache,
                                    CamelFolder *folder,
                                    const gchar *orig_message_uid);

FIXME Document me!

#### Returns

.

[transfer full]

Since: 3.6

### camel_vee_data_cache_get_message_info_data_by_vuid ()

    CamelVeeMessageInfoData *
    camel_vee_data_cache_get_message_info_data_by_vuid
                                   (CamelVeeDataCache *data_cache,
                                    const gchar *vee_message_uid);

FIXME Document me!

#### Returns

.

[transfer full]

Since: 3.6

### camel_vee_data_cache_foreach_message_info_data ()

    void
    camel_vee_data_cache_foreach_message_info_data
                                   (CamelVeeDataCache *data_cache,
                                    CamelFolder *fromfolder,
                                    void (*func) (CamelVeeMessageInfoData *mi_data, CamelFolder *subfolder, gpointer user_data),
                                    gpointer user_data);

#### Parameters

func | FIXME Document me!. | [scope call][closure user_data]

Since: 3.6

### camel_vee_data_cache_remove_message_info_data ()

    void
    camel_vee_data_cache_remove_message_info_data
                                   (CamelVeeDataCache *data_cache,
                                    CamelVeeMessageInfoData *mi_data);

FIXME Document me!

Since: 3.6

## Types and Values

### struct CamelVeeSubfolderData

    struct CamelVeeSubfolderData;

Since: 3.6

### struct CamelVeeMessageInfoData

    struct CamelVeeMessageInfoData;

Since: 3.6

### struct CamelVeeDataCache

    struct CamelVeeDataCache;

Since: 3.6